Bug 585205 - (python-debian) Review Request: python-debian - Modules for Debian-related data formats
Review Request: python-debian - Modules for Debian-related data formats
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F-Spacewalk
  Show dependency treegraph
 
Reported: 2010-04-23 08:32 EDT by Miroslav Suchý
Modified: 2010-12-08 19:42 EST (History)
3 users (show)

See Also:
Fixed In Version: python-debian-0.1.16-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-12 13:58:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2010-04-23 08:32:19 EDT
SPEC:
http://miroslav.suchy.cz/fedora/python-debian/python-debian.spec
SRCRPM:
http://miroslav.suchy.cz/fedora/python-debian/python-debian-0.1.16-1.src.rpm

Desc:
This package provides Python modules that abstract many formats of Debian 
related files. Currently handled are:
* Debtags information (debian.debtags module)
* debian/changelog (debian.changelog module)
* Packages files, pdiffs (debian.debian_support module)
* Control files of single or multiple RFC822-style paragraphs, e.g.
  debian/control, .changes, .dsc, Packages, Sources, Release, etc.
  (debian.deb822 module)
* Raw .deb and .ar files, with (read-only) access to contained
  files and meta-information

$ rpmlint /home/msuchy/rpmbuild/SRPMS/python-debian-0.1.16-1.src.rpm
python-debian.src: W: spelling-error %description -l en_US Debtags -> Deb tags, Deb-tags, Debtors
python-debian.src: W: spelling-error %description -l en_US debtags -> deb tags, deb-tags, debtors
python-debian.src: W: spelling-error %description -l en_US changelog -> change log, change-log, changeling
python-debian.src: W: spelling-error %description -l en_US pdiffs -> diffs, p diffs, pontiffs
python-debian.src: W: spelling-error %description -l en_US dsc -> dc, disc, doc
python-debian.src: W: spelling-error %description -l en_US ar -> AR, Ar, at
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
This are false negatives.

Scratch build in koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2134017
Comment 2 Peter Lemenkov 2010-05-07 05:07:10 EDT
REVIEW (using link below):
http://miroslav.suchy.cz/fedora/python-debian/python-debian-0.1.16-2.el6.src.rpm

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent:

Sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/noarch/python-debian-0.1.16-2.fc12.noarch.rpm 
python-debian.noarch: W: spelling-error %description -l en_US debtags -> deb tags, deb-tags, debtors
python-debian.noarch: W: spelling-error %description -l en_US changelog -> change log, change-log, changeling
python-debian.noarch: W: spelling-error %description -l en_US pdiffs -> diffs, p diffs, pontiffs
python-debian.noarch: W: spelling-error %description -l en_US dsc -> dc, disc, doc
python-debian.noarch: W: spelling-error %description -l en_US ar -> AR, Ar, at
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
Sulaco ~/rpmbuild/SPECS:

All these warnings should be omitted.

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv2+ and GPLv3+).
0 The file, containing the text of the license(s) for the package, is NOT included in %doc, because it was not included into upstream's tarball.
+ The spec file is written in American English.
+ The spec file for the package is legible.

- The sources used to build the package, DOES NOT match the upstream source, as provided in the spec URL.

Sulaco ~/rpmbuild/SOURCES: sha256sum python-debian_0.1.16.tar.gz*
e920dda1fbdf2fdb9ceaed61fb13a231786ef55615584190cb3973c277460f0b  python-debian_0.1.16.tar.gz
8454129b4624974f560bf6597052c9b3e9a072a0fe4664b61a9834e2dabc65f4  python-debian_0.1.16.tar.gz.1
Sulaco ~/rpmbuild/SOURCES:

Please, fix this issue.

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

Please, fix the only issue, and I'll continue.
Comment 3 Miroslav Suchý 2010-05-07 07:08:50 EDT
Mea culpa, I did not notify that Lukas Durfina (the original packager) altered tar.gz for this rpm package. I fixed it.
New src.rpm:
http://miroslav.suchy.cz/fedora/python-debian/python-debian-0.1.16-3.el6.src.rpm
New Spec:
http://miroslav.suchy.cz/fedora/python-debian/python-debian.spec

I also added %%check section.
Comment 4 Peter Lemenkov 2010-05-07 07:53:23 EDT
Ok, now sha256sum matches:

Sulaco ~/rpmbuild/SOURCES: sha256sum python-debian_0.1.16.tar.gz*
8454129b4624974f560bf6597052c9b3e9a072a0fe4664b61a9834e2dabc65f4  python-debian_0.1.16.tar.gz
8454129b4624974f560bf6597052c9b3e9a072a0fe4664b61a9834e2dabc65f4  python-debian_0.1.16.tar.gz.1
Sulaco ~/rpmbuild/SOURCES:

I don't see any other issues, so this package is

APPROVED.
Comment 5 Miroslav Suchý 2010-05-07 08:07:17 EDT
New Package CVS Request
=======================
Package Name: python-debian
Short Description: Modules for Debian-related data formats
Owners: msuchy
Branches: F-12, EL-5
InitialCC:
Comment 6 Kevin Fenzi 2010-05-08 22:06:58 EDT
CVS done (by process-cvs-requests.py).

Added F-13 branch.
Comment 7 Fedora Update System 2010-05-12 04:17:21 EDT
python-debian-0.1.16-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-debian-0.1.16-3.fc12
Comment 8 Fedora Update System 2010-05-12 13:58:51 EDT
python-debian-0.1.16-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Miroslav Suchý 2010-12-08 03:31:04 EST
Package Change Request
======================
Package Name: python-debian
New Branches: el6
Owners: msuchy
Comment 10 Jens Petersen 2010-12-08 19:42:12 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.